Subject: [Pce] Adoption of draft-dhody-pce-stateful-pce-optional

From: <[email-masked]>
Date: Tue, 21 Sep 2021 16:00:34 +0200

Hi all,

This e-mail starts an adoption poll for 
draft-dhody-pce-stateful-pce-optional-08 [1]. Do you consider this I-D 
is ready to become a PCE WG item?

Please respond to the PCE list, including rationale if you believe the 
WG should not adopt it.

Thanks,

Dhruv & Julien

[1] 
https://datatracker.ietf.org/doc/html/draft-dhody-pce-stateful-pce-optional-08

---

From: Jeff Tantsura <[email-masked]>
Date: Tue, 21 Sep 2021 08:01:34 -0700

Yes/support

Cheers,
Jeff

> On Sep 21, 2021, at 07:01, [email-masked] wrote:
> 
> Hi all,
> 
> This e-mail starts an adoption poll for draft-dhody-pce-stateful-pce-optional-08 [1]. Do you consider this I-D is ready to become a PCE WG item?
> 
> Please respond to the PCE list, including rationale if you believe the WG should not adopt it.
> 
> Thanks,
> 
> Dhruv & Julien
> 
> 
> [1] https://datatracker.ietf.org/doc/html/draft-dhody-pce-stateful-pce-optional-08
> 
> 
> _______________________________________________
> Pce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pce

---

From: Huaimo Chen <[email-masked]>
Date: Tue, 21 Sep 2021 15:25:01 +0000

Hi Everyone,

    I think it is ready to become a PCE WG item.

Best Regards,
Huaimo
________________________________
From: Pce <[email-masked]> on behalf of [email-masked] <[email-masked]>
Sent: Tuesday, September 21, 2021 10:00 AM
To: [email-masked] <[email-masked]>
Subject: [Pce] Adoption of draft-dhody-pce-stateful-pce-optional

Hi all,

Thanks,

Dhruv & Julien

[1]
https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-dhody-pce-stateful-pce-optional-08&amp;data=04%7C01%7Chuaimo.chen%40futurewei.com%7C287bcbb1593c45a6e53808d97d083dc9%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637678296635810413%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=Mk8NnGa%2BaUofn4TBYLJcNk3Urm2PyFhKfhQfxM%2BkFeg%3D&amp;reserved=0

---

From: <[email-masked]>
Date: Tue, 21 Sep 2021 17:54:00 +0200

Yes/Support

BR

Olivier

-- 
Orange logo <http://www.orange.com>

Olivier Dugeon
Orange Expert, Future Networks
Open Source Referent
Orange/IMT/OLN/WTC/IEE/iTeQ

fixe : +33 2 96 07 28 80
mobile : +33 6 82 90 37 85
[email-masked] <mailto:[email-masked]>

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: "Stone, Andrew (Nokia - CA/Ottawa)" <[email-masked]>
Date: Tue, 21 Sep 2021 18:15:10 +0000

Yes / support WG adoption. 

On 2021-09-21, 10:01 AM, "Pce on behalf of [email-masked]" <[email-masked] on behalf of [email-masked]> wrote:

    Hi all,

    Thanks,

    Dhruv & Julien

    [1]

---

From: Oscar González de Dios <[email-masked]>
Date: Tue, 21 Sep 2021 18:23:19 +0000

Dear WG chairs,

        I think the document is ready to become a PCE WG Item and it addresses a relevant and useful topic.

        @authors, please find also some comments:

        After reading the full document it becomes clear how a PCEP peer can mark some objects as optional using the P flag. However, it is still unclear how a PCEP peer indicates explicitly if an optional constraint has been satisfied or it could not (or not wanted to) honor the constraint (the requirement is mentioned in section 2.3 after explaining the example) and if it should indicate the reason why it was not possible to satisfy the constraint.

        I remember similar discussions in the TEAS WG with the TE tunnel YANG model about handling multiple constraints and not being able to satisfy all and only some combinations being feasible. It would be good to sync with TE guys and align in the expected behaviors.

        Best Regards,

                Oscar

-----Mensaje original-----
De: Pce <[email-masked]> En nombre de [email-masked]
Enviado el: martes, 21 de septiembre de 2021 16:01
Para: [email-masked]
Asunto: [Pce] Adoption of draft-dhody-pce-stateful-pce-optional

Hi all,

This e-mail starts an adoption poll for
draft-dhody-pce-stateful-pce-optional-08 [1]. Do you consider this I-D is ready to become a PCE WG item?

Thanks,

Dhruv & Julien

[1]

Este mensaje y sus adjuntos se dirigen exclusivamente a su destinatario, puede contener información privilegiada o confidencial y es para uso exclusivo de la persona o entidad de destino. Si no es usted. el destinatario indicado, queda notificado de que la lectura, utilización, divulgación y/o copia sin autorización puede estar prohibida en virtud de la legislación vigente. Si ha recibido este mensaje por error, le rogamos que nos lo comunique inmediatamente por esta misma vía y proceda a su destrucción.

The information contained in this transmission is privileged and confidential information intended only for the use of the individual or entity named above. If the reader of this message is not the intended recipient, you are hereby notified that any dissemination, distribution or copying of this communication is strictly prohibited. If you have received this transmission in error, do not read it. Please immediately reply to the sender that you have received this communication in error and then delete it.

Esta mensagem e seus anexos se dirigem exclusivamente ao seu destinatário, pode conter informação privilegiada ou confidencial e é para uso exclusivo da pessoa ou entidade de destino. Se não é vossa senhoria o destinatário indicado, fica notificado de que a leitura, utilização, divulgação e/ou cópia sem autorização pode estar proibida em virtude da legislação vigente. Se recebeu esta mensagem por erro, rogamos-lhe que nos o comunique imediatamente por esta mesma via e proceda a sua destruição

---

From: "Bidgoli, Hooman (Nokia - CA/Ottawa)" <[email-masked]>
Date: Tue, 21 Sep 2021 19:14:34 +0000

Support

Thanks
Hooman

-----Original Message-----
From: Pce <[email-masked]> On Behalf Of [email-masked]
Sent: Tuesday, September 21, 2021 10:01 AM
To: [email-masked]
Subject: [Pce] Adoption of draft-dhody-pce-stateful-pce-optional

Hi all,

Thanks,

Dhruv & Julien

[1]

---

From: Gyan Mishra <[email-masked]>
Date: Wed, 22 Sep 2021 01:30:38 -0400

I support WG adoption.

Thanks

Gyan

-- 

<http://www.verizon.com/>

*Gyan Mishra*

*Network Solutions A**rchitect *

*Email [email-masked] <[email-masked]>*

*M 301 502-1347*

---

From: "Yangfan(Fan,IP Standards)" <[email-masked]>
Date: Wed, 22 Sep 2021 06:15:38 +0000

Hi PCE,

The document provides a useful mechanism to PCEP, I support the adoption.

Cheers,
Fan 

-----Original Message-----
From: Pce [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, September 21, 2021 10:01 PM
To: [email-masked]
Subject: [Pce] Adoption of draft-dhody-pce-stateful-pce-optional

Hi all,

Thanks,

Dhruv & Julien

[1]

---

From: Zhenghaomian <[email-masked]>
Date: Wed, 22 Sep 2021 06:40:06 +0000

Yes, support. 

Best wishes,
Haomian(as co-author)

-----邮件原件-----
发件人: Pce [mailto:[email-masked]] 代表 [email-masked]
发送时间: 2021年9月21日 22:01
收件人: [email-masked]
主题: [Pce] Adoption of draft-dhody-pce-stateful-pce-optional

Hi all,

Thanks,

Dhruv & Julien

[1]

---

From: Robert Varga <[email-masked]>
Date: Thu, 23 Sep 2021 21:52:44 +0200

> Please respond to the PCE list, including rationale if you believe the 

Yes/adopt. This draft addresses issues not considered in scope for 
RFC8231, so is a welcome addition for any implementer.

Regards,
Robert

---

From: "Chengli (Cheng Li)" <[email-masked]>
Date: Fri, 24 Sep 2021 02:33:00 +0000

Yes, support as an coauthor. Any comments are welcome! 

Thanks Chairs,
Cheng

-----Original Message-----
From: Pce [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, September 21, 2021 10:01 PM
To: [email-masked]
Subject: [Pce] Adoption of draft-dhody-pce-stateful-pce-optional

Hi all,

Thanks,

Dhruv & Julien

[1]

---

From: "Mike Koldychev (mkoldych)" <[email-masked]>
Date: Fri, 24 Sep 2021 13:15:59 +0000

Hi PCE WG,

I support WG adoption of this document. It's a good improvement to the protocol. Would be good to clarify how it applies to objects that encode multiple constraints. For example, the LSPA object encodes affinity, plus other stuff like protection, priority and TLVs. Is it possible to ignore only some of those constraints? Perhaps by including multiple copies of the LSPA object?

Thanks,
Mike.

-----Original Message-----
From: Pce <[email-masked]> On Behalf Of [email-masked]
Sent: Tuesday, September 21, 2021 10:01 AM
To: [email-masked]
Subject: [Pce] Adoption of draft-dhody-pce-stateful-pce-optional

Hi all,

Thanks,

Dhruv & Julien

[1]

---

From: Siva Sivabalan <[email-masked]>
Date: Fri, 24 Sep 2021 15:08:32 -0400

Support.

Thanks,
Siva

Sent from my iPhone

> On Sep 21, 2021, at 3:15 PM, Bidgoli, Hooman (Nokia - CA/Ottawa) <[email-masked]> wrote:
> 
> Support
> 
> Thanks
> Hooman
>

---

From: "Dongjie (Jimmy)" <[email-masked]>
Date: Tue, 28 Sep 2021 06:20:10 +0000

Yes, support. It introduces a useful feature to PCEP. 

Best regards,
Jie